c Simple driver for fmft subroutine.
c Miroslav Broz (miroslav.broz@email.cz), Nov 27th 2002

      program MAIN_FMFT

      include 'main_fmft.inc'

c  input parameters
      real*8 min_f,max_f,data_sep
      integer fmft_flag,nfreq
      integer*4 ndata

c  temp vars
      integer*4 i, j
      real*8 input(max_ndata,2), output(max_nfreq, 3*max_fmft_flag)
      real*8 time, freq, amp, phase
      real*8 minfreq, maxfreq

c  functions
      integer fmft

c  read input params
      j = 1
      read(*,*,err=990,end=990) min_f
      j = j + 1
      read(*,*,err=990,end=990) max_f
      j = j + 1
      read(*,*,err=990,end=990) fmft_flag
      j = j + 1
      read(*,*,err=990,end=990) nfreq
      j = j + 1
      read(*,*,err=990,end=990) data_sep
      j = j + 1
      read(*,*,err=990,end=990) ndata
      j = j + 1

      minfreq = min_f /180.d0/3600.d0 * pi * data_sep
      maxfreq = max_f /180.d0/3600.d0 * pi * data_sep

      i = 1
5     continue
        read(*,*,end=15,err=15) time, input(i,1), input(i,2)
        i = i + 1
      if (i.le.ndata) goto 5
15    continue

      if (i.le.ndata) then
        write(*,20) i, ndata
20      format('Number of data lines ',i6,'.lt. ndata = ',i6,'.')
        stop
      endif

      if (fmft(output, nfreq, minfreq, maxfreq, fmft_flag, input,
     :   ndata).eq.0) then
        write(*,30)
30      format('Unknown error in fmft C-function.')
        stop
      endif

      do i = 2, nfreq+1
c arsec per unit of data_sep
        freq = output(i, 3*fmft_flag-1) *180.d0*3600.d0/pi / data_sep 
        amp = output(i, 3*fmft_flag)
c degrees
        phase = output(i, 3*fmft_flag+1) *180.d0/pi
        if (phase.lt.0) phase = phase + 360.d0

        write(*,40) freq, amp, phase
40      format(3(1x,g20.15))
      enddo

      stop

990   continue
      write(*,995) j
995   format('Error reading input line ',i6,'.')

999   continue
      end

